#!/usr/bin/env python
#-*-coding:utf-8-*-

# "THE WISKEY-WARE LICENSE" (Revision 42):
# <jbc.develop@gmail.com> wrote this file. As long as you retain this notice you
# can do whatever you want with this stuff. If we meet some day, and you think
# this stuff is worth it, you can buy me a wiskey in return Juan BC


#===============================================================================
# DOCS
#===============================================================================

"""Test case runner for infopython

"""

#===============================================================================
# IMPORT
#===============================================================================

import os
import unittest


#===============================================================================
# CONSTANTS
#===============================================================================

PATH = os.path.abspath(os.path.dirname(__file__))

TEST_PATH = os.path.join(PATH, "tests")

PATTERN = "*.py"


#===============================================================================
# TEST DISCOVER
#===============================================================================

def run_tests(*args, **kwargs):
    """Run all the test inside *hg_repo/tests* 
    
    params:
    
        ::args:: Arguments for TextTestRunner
        ::kwargs:: KW Arguments for TextTestRunner
        
    """
    loader = unittest.TestLoader()
    runner = unittest.runner.TextTestRunner(verbosity=1)
    for test_suite in loader.discover(TEST_PATH, PATTERN):
        if test_suite.countTestCases():
            runner.run(test_suite)
            
run_tests()
