#!/usr/bin/env python
#-*-coding:utf-8-*-

# "THE WISKEY-WARE LICENSE" (Revision 42):
# <jbc.develop@gmail.com> wrote this file. As long as you retain this notice you
# can do whatever you want with this stuff. If we meet some day, and you think
# this stuff is worth it, you can buy me a wiskey in return Juan BC


#===============================================================================
# DOCS
#===============================================================================

"""METADATA OF INFOPYTHON

"""

#===============================================================================
# DATA
#===============================================================================

NAME = "infopython"

VERSION = ("0", "3", "1")

STR_VERSION = ".".join(VERSION)

DESCRIPTION = "An library for valuate information"

AUTHOR = "JBC"
      
EMAIL = "jbc.develop@gmail.com"
      
URL = "http://bitbucket.org/leliel12/infopython"
      
      
DOWNLOAD_URL = "{url}/downloads/{name}-{version}.tar.gz".format(
    url=URL,
    name=NAME,
    version=STR_VERSION
)

LICENSE = "WISKEY-WARE"

KEYWORDS = "ranking web alexa adplaner information library twitter agenda setting"
      
CLASSIFIERS = (
    "Topic :: Utilities",
    "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)",
    "Programming Language :: Python :: 2",
)

INSTALL_REQUIRES = (
   "python-memcached",
   "numpy >= 1.6.1",
   "scipy"
)


#===============================================================================
# MAIN
#===============================================================================

if __name__ == "__main__":
    print(__doc__)
