#!/usr/bin/env python
#-*-coding:utf-8-*-

# "THE WISKEY-WARE LICENSE" (Revision 42):
# <jbc.develop@gmail.com> wrote this file. As long as you retain this notice you
# can do whatever you want with this stuff. If we meet some day, and you think
# this stuff is worth it, you can buy me a wiskey in return Juan BC


#===============================================================================
# DOC
#===============================================================================

"""Pase datetime objects to ISO 8601 string, and ISO 8601 strings to datetime 
objects.

"""


#===============================================================================
# IMPORTS
#===============================================================================

import datetime


#===============================================================================
# FUNCTIONS
#===============================================================================

def strftime(dt):
    """strftime(dt) <--> dt.isoformat()"""
    return dt.isoformat()
    

def strptime(string):
    """strptime(string) <--> datetime.datetime.strptime(string, "%Y-%m-%dT%H:%M:%S")
    
    """
    if "." in string:
            return datetime.datetime.strptime(string, "%Y-%m-%dT%H:%M:%S.%f")
    return datetime.datetime.strptime(string, "%Y-%m-%dT%H:%M:%S")
    


#===============================================================================
# MAIN
#===============================================================================

if __name__ == "__main__":
    print __doc__
